#include <qlineedit.h>
#include <qtextedit.h>
#include <kpopupmenu.h>

#include "kwindowinfo.h"
#include "kpassivepopup.h"
#include <qtooltip.h>
#include "logtracker.h"

#include "loggertray.h"
#include "loggertray.moc"

LoggerTray::LoggerTray( LogTracker *parent )
    : KSystemTray( parent ), tracker( parent )
{
    QPixmap px;
    px.load( "lo16-action-wizard.png" );
    setPixmap( px );
    QToolTip::add( this, "Demo of Passive Popups and Window Messages" );

    KPopupMenu *menu = contextMenu();
    menu->insertItem( "&Message", this, SLOT(showPopup()) );
    menu->insertItem( "&Titled Message", this, SLOT(showPopup2()) );
    menu->insertItem( "&Big Icon Message", this, SLOT(showPopup3()) );
    menu->insertItem( "&Small Icon Message", this, SLOT(showPopup4()) );
    menu->insertItem( "&Custom Message", this, SLOT(showPopup5()) );
    menu->insertItem( "&Window Info Message", this, SLOT(showPopup6()) );
}

void LoggerTray::showPopup()
{
    KPassivePopup::message( tracker->text->text(), this );
}

void LoggerTray::showPopup2()
{
    KPassivePopup::message( tracker->title->text(), tracker->text->text(), this );
}

void LoggerTray::showPopup3()
{
    QPixmap px;
    px.load( "hi32-app-logtracker.png" );
    KPassivePopup::message( tracker->title->text(), tracker->text->text(), px, this );
}

void LoggerTray::showPopup4()
{
    QPixmap px;
    px.load( "lo16-app-logtracker.png" );
    KPassivePopup::message( tracker->title->text(), tracker->text->text(), px, this );
}

void LoggerTray::showPopup5()
{
    tracker->showCustom( this );
}

void LoggerTray::showPopup6()
{
    QPixmap px;
    px.load( "lo16-app-logtracker.png" );
    KWindowInfo::showMessage( this, tracker->title->text(), px );
}
